com.ihr.xbrl.database.pagination

## Interface Page

- All Known Implementing Classes:
    AbstractPage, HibernatePage, ScrollPage

      public interface Page

  The Interface Page.
  Author:
    Pietro Polsinelli ppolsinelli@open-lab.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SIZE` The Constant DEFAULT_SIZE.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLastPageNumber()` Gets the last page number.
    `org.apache.commons.logging.Log` | `getLogger()` Gets the logger.
    `int` | `getNextPageNumber()` Gets the next page number.
    `int` | `getPageNumber()` Gets the page number.
    `int` | `getPageSize()` Gets the page size.
    `int` | `getPreviousPageNumber()` Gets the previous page number.
    `java.util.List<?>` | `getThisPageElements()` Gets the this page elements.
    `int` | `getThisPageFirstElementNumber()` Gets the this page first element number.
    `int` | `getThisPageLastElementNumber()` Gets the this page last element number.
    `int` | `getTotalNumberOfElements()` Gets the total number of elements.
    `boolean` | `hasNextPage()` Checks for next page.
    `boolean` | `hasPreviousPage()` Checks for previous page.
    `boolean` | `isFirstPage()` Checks if is first page.
    `boolean` | `isLastPage()` Checks if is last page.

- - ### Field Detail

    - #### DEFAULT_SIZE

          static final int DEFAULT_SIZE

      The Constant DEFAULT_SIZE.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isFirstPage

          boolean isFirstPage()

      Checks if is first page.
      Returns:
        true, if is first page

    - #### isLastPage

          boolean isLastPage()

      Checks if is last page.
      Returns:
        true, if is last page

    - #### hasNextPage

          boolean hasNextPage()

      Checks for next page.
      Returns:
        true, if successful

    - #### hasPreviousPage

          boolean hasPreviousPage()

      Checks for previous page.
      Returns:
        true, if successful

    - #### getLastPageNumber

          int getLastPageNumber()

      Gets the last page number.
      Returns:
        the last page number

    - #### getThisPageElements

          java.util.List<?> getThisPageElements()

      Gets the this page elements.
      Returns:
        the this page elements

    - #### getLogger

          org.apache.commons.logging.Log getLogger()

      Gets the logger.
      Returns:
        the logger

    - #### getTotalNumberOfElements

          int getTotalNumberOfElements()

      Gets the total number of elements.
      Returns:
        the total number of elements

    - #### getThisPageFirstElementNumber

          int getThisPageFirstElementNumber()

      Gets the this page first element number.
      Returns:
        the this page first element number

    - #### getThisPageLastElementNumber

          int getThisPageLastElementNumber()

      Gets the this page last element number.
      Returns:
        the this page last element number

    - #### getNextPageNumber

          int getNextPageNumber()

      Gets the next page number.
      Returns:
        the next page number

    - #### getPreviousPageNumber

          int getPreviousPageNumber()

      Gets the previous page number.
      Returns:
        the previous page number

    - #### getPageSize

          int getPageSize()

      Gets the page size.
      Returns:
        the page size

    - #### getPageNumber

          int getPageNumber()

      Gets the page number.
      Returns:
        the page number